jm.constants

## Interface Scales

- All Known Subinterfaces:
    JMC
  All Known Implementing Classes:
    Add, ADSR, AllFGTR, AllPass, Audio, AudioObject, AudioSampleInst, BassStave, Comb, Compressor, CPhrase, Delay, Envelope, FFT, FGTR, Filter, Grain2, GrandStave, Granulator, HelperGUI, Histogram, HistogramFrame, Instrument, InverseFFT, Invert, JGrandStave, JStaveActionHandler, MidiParser, MidiSynth, MidiUtil, Mod, Multiply, Noise, Notate, NoteBuffer, NoteBufferReversed, Oscillator, Part, Phrase, PhraseMatrix, PianoStave, Play, Pluck, PrintOut, Read, ReSample, RTIn, RTPhrase, SampleIn, SampleOut, Score, SketchScoreArea, SMF, Smooth, Splitter, Spring, Stave, StaveActionHandler, StereoPan, TapDelay, TextIn, TrebleStave, Value, View, Volume, WaveFileReader, Wavelet, Waveshaper, WaveTable, Window, Write

      public interface Scales

  An interface storing scale constants.
  See Also:
    `Note`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int[]` | `AEOLIAN_SCALE`
    `static int[]` | `BLUES_SCALE`
    `static int[]` | `CHROMATIC_SCALE`
    `static int[]` | `DIATONIC_MINOR_SCALE`
    `static int[]` | `DORIAN_SCALE`
    `static int[]` | `HARMONIC_MINOR_SCALE`
    `static int[]` | `INDIAN_SCALE`
    `static int[]` | `LYDIAN_SCALE`
    `static int[]` | `MAJOR_SCALE`
    `static int[]` | `MELODIC_MINOR_SCALE`
    `static int[]` | `MINOR_SCALE`
    `static int[]` | `MIXOLYDIAN_SCALE`
    `static int[]` | `NATURAL_MINOR_SCALE`
    `static int[]` | `PENTATONIC_SCALE`
    `static int[]` | `TURKISH_SCALE`

- - ### Field Detail

    - #### CHROMATIC_SCALE

          static final int[] CHROMATIC_SCALE

    - #### MAJOR_SCALE

          static final int[] MAJOR_SCALE

    - #### MINOR_SCALE

          static final int[] MINOR_SCALE

    - #### HARMONIC_MINOR_SCALE

          static final int[] HARMONIC_MINOR_SCALE

    - #### MELODIC_MINOR_SCALE

          static final int[] MELODIC_MINOR_SCALE

    - #### NATURAL_MINOR_SCALE

          static final int[] NATURAL_MINOR_SCALE

    - #### DIATONIC_MINOR_SCALE

          static final int[] DIATONIC_MINOR_SCALE

    - #### AEOLIAN_SCALE

          static final int[] AEOLIAN_SCALE

    - #### DORIAN_SCALE

          static final int[] DORIAN_SCALE

    - #### LYDIAN_SCALE

          static final int[] LYDIAN_SCALE

    - #### MIXOLYDIAN_SCALE

          static final int[] MIXOLYDIAN_SCALE

    - #### PENTATONIC_SCALE

          static final int[] PENTATONIC_SCALE

    - #### BLUES_SCALE

          static final int[] BLUES_SCALE

    - #### TURKISH_SCALE

          static final int[] TURKISH_SCALE

    - #### INDIAN_SCALE

          static final int[] INDIAN_SCALE